Page MenuHomePhabricator

WikibaseMediaInfo needs a basic integration test suite asap
Closed, ResolvedPublic

Description

We need a basic integration test suite for WBMI so we know when a dependency change has broken it

Event Timeline

Cparle created this task.Dec 4 2018, 5:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2018, 5:53 PM

Change 478226 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Integration tests

https://gerrit.wikimedia.org/r/478226

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Dec 17 2018, 11:19 PM

Change 478226 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add an integration test set

https://gerrit.wikimedia.org/r/478226

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Last step is to insert WBMI into the general gate, which I'll get done later today, but this as-written is now done.

@Jdforrester-WMF did you ever succeed in doing this?

Change 480463 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

@Jdforrester-WMF did you ever succeed in doing this?

Nope, patch written but not deployed. Will ping.

@Jdforrester-WMF - any updates?

Everyone agrees how to test my patch, they're just not landing it yet. :-(

(Moved this to the deployment column as it's waiting for manual deployment by a RelEnger, and isn't waiting for sign-off.)

Change 480463 had a related patch set uploaded (by Reedy; owner: Jforrester):
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

Change 480463 merged by jenkins-bot:
[integration/config@master] Add WikibaseMediaInfo to gated extensions

https://gerrit.wikimedia.org/r/480463

Jdforrester-WMF closed this task as Resolved.Apr 11 2019, 6:25 PM
Jdforrester-WMF removed a project: Patch-For-Review.

This is now live. Thanks, Reedy!